package org.fortiss.tooling.ext.quality.ui;

import static org.eclipse.jface.resource.ResourceLocator.imageDescriptorFromBundle;

import org.eclipse.core.runtime.Plugin;
import org.eclipse.jface.resource.ImageDescriptor;
import org.osgi.framework.BundleContext;

/**
 * @author blaschke
 *
 */
public class QualityUIActivator extends Plugin {

	/** The plug-in ID. */
	public static final String PLUGIN_ID = QualityUIActivator.class.getPackage().getName(); // $NON-NLS-1$

	/** The shared instance. */
	private static QualityUIActivator plugin;

	/** {@inheritDoc} */
	@Override
	public void start(BundleContext context) throws Exception {
		super.start(context);
		plugin = this;
	}

	/** {@inheritDoc} */
	@Override
	public void stop(BundleContext context) throws Exception {
		plugin = null;
		super.stop(context);
	}

	/**
	 * Returns the shared instance.
	 *
	 * @return The shared instance of ToolingReuseActivator
	 */
	public static QualityUIActivator getDefault() {
		return plugin;
	}

	/**
	 * Returns the image descriptor for the given icon file.
	 *
	 * @param path The path to the icon file of the image descriptor
	 * @return The image descriptor
	 */
	public static ImageDescriptor getImageDescriptor(String path) {
		return imageDescriptorFromBundle(PLUGIN_ID, path).orElse(null);
	}
}
